Subject: Re: [PATCH] completion: move private shopt shim for zsh to __git_ namespace

From: Jonathan Nieder <[email-masked]>
Date: Fri, 6 May 2011 00:46:04 -0500

(culling cc list of quiet people :))
Jonathan Nieder wrote:

> Most zsh users probably probably do not expect a custom shopt function
> to enter their environment just because they ran "source
> ~/.git-completion.sh".
>
> Such namespace pollution makes development of other scripts confusing
> (because it makes the bash-specific shopt utility seem to be available
> in zsh) and makes git's tab completion script brittle (since any other
> shell snippet implementing some other subset of shopt will break it).
> Rename the shopt shim to the more innocuous __git_shopt to be a good
> citizen (with two underscores to avoid confusion with completion rules
> for a hypothetical "git shopt" command).

By the way, I meant the above[1] as a genuine patch submission.
Thoughts?  Bugs?  Improvements?

[1] http://thread.gmane.org/gmane.comp.version-control.git/172142/focus=172275